Subject: Re: [bess] BGP common parameter Yang module
From: "Dhanendra Jain (dhjain)" <[email-masked]>
To: Xufeng Liu <[email-masked]>, "Acee Lindem (acee)" <[email-masked]>, "Patrice Brissette (pbrisset)" <[email-masked]>, "'Jeff Tantsura'" <[email-masked]>, "'Giles Heron'" <[email-masked]>
Cc: "[email-masked]" <[email-masked]>, "'Shah, Himanshu'" <[email-masked]>, "[email-masked]" <[email-masked]>
Date: Tue, 14 Feb 2017 19:27:24 +0000
List-Id: BGP-Enabled ServiceS working group discussion list <bess.ietf.org>

Hi Xufeng,

inline..

From: Xufeng Liu <[email-masked]<mailto:[email-masked]>>
Date: Monday, February 13, 2017 at 7:21 AM
To: "Acee Lindem (acee)" <[email-masked]<mailto:[email-masked]>>, "Patrice Brissette (pbrisset)" <[email-masked]<mailto:[email-masked]>>, 'Jeff Tantsura' <[email-masked]<mailto:[email-masked]>>, 'Giles Heron' <[email-masked]<mailto:[email-masked]>>
Cc: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, Cisco Employee <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, "'Shah, Himanshu'" <[email-masked]<mailto:[email-masked]>>
Subject: RE: [bess] BGP common parameter Yang module

In EVPN, as Patrice described, the structure is:

      |     +--rw bgp-parameters
      |     |  +--rw common
      |     |     +--rw rd-rt* [route-distinguisher]
      |     |        +--rw route-distinguisher    string
      |     |        +--rw vpn-target* [rt-value]
      |     |           +--rw rt-value    string
      |     |           +--rw rt-type     bgp-rt-type

In L2VPN, the structure is:
             +--ro bgp-auto-discovery
             |  +--ro route-distinguisher?   string
             |  +--ro vpn-target* [rt-value]
             |  |  +--ro rt-value    string
             |  |  +--ro rt-type     bgp-rt-type

In L3VPN, the current structure is:
      +--rw route-distinguisher
      |  +--rw config
      |  |  +--rw rd?   string
      +--rw ipv4
      |  +--rw unicast
      |     +--rw route-targets
      |     |  +--rw config
      |     |  |  +--rw rts* [rt]
      |     |  |  |  +--rw rt         string
      |     |  |  |  +--rw rt-type?   Enumeration
      +--rw ipv6
         +--rw unicast
            +--rw route-targets
            |  +--rw config
            |  |  +--rw rts* [rt]
            |  |  |  +--rw rt         string
            |  |  |  +--rw rt-type?   enumeration

Hi Dhanendra and All,

Are we ok to move the route targets section out of the AF specific location to where RD is specified? If so, we can define the following common grouping:

Dhjain> I think one way to handle this is to have separate common groupings for RD and RT. So that we can retain AF level granularity for RT grouping for import/export rules.

Thanks,
Dhanendra.

             |  +--ro route-distinguisher?   string
             |  +--ro vpn-target* [rt-value]
             |  |  +--ro rt-value    string
             |  |  +--ro rt-type     bgp-rt-type

Otherwise, we can only define a grouping without the RD:

             |  +--ro vpn-target* [rt-value]
             |  |  +--ro rt-value    string
             |  |  +--ro rt-type     bgp-rt-type
Thanks,
- Xufeng

From: BESS [mailto:[email-masked]] On Behalf Of Acee Lindem (acee)
Sent: Saturday, February 11, 2017 12:46 PM
To: Patrice Brissette (pbrisset) <[email-masked]<mailto:[email-masked]>>; Jeff Tantsura <[email-masked]<mailto:[email-masked]>>; Giles Heron <[email-masked]<mailto:[email-masked]>>
Cc: [email-masked]<mailto:[email-masked]>; Dhanendra Jain (dhjain) <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>; Shah, Himanshu <[email-masked]<mailto:[email-masked]>>
Subject: Re: [bess] BGP common parameter Yang module

Given that there is no paucity of authors and contributors on these three BESS YANG models, I’d hope that one of them could provide a suggested common grouping. For now, I’ve added the route-target-type type on which there seems to be consensus.

Thanks,
Acee

From: "Patrice Brissette (pbrisset)" <[email-masked]<mailto:[email-masked]>>
Date: Saturday, February 11, 2017 at 8:23 AM
To: Jeff Tantsura <[email-masked]<mailto:[email-masked]>>, Acee Lindem <[email-masked]<mailto:[email-masked]>>, Giles Heron <[email-masked]<mailto:[email-masked]>>
Cc: Himanshu Shah <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, "Dhanendra Jain (dhjain)" <[email-masked]<mailto:[email-masked]>>
Subject: Re: [bess] BGP common parameter Yang module

Hi Folks,

Same here. Can we do something about it?  And agree, all 3 VPN models should have the same commonality.

Regards,
Patrice Brissette

From: Jeff Tantsura <[email-masked]<mailto:[email-masked]>>
Date: Friday, February 10, 2017 at 2:43 PM
To: "Acee Lindem (acee)" <[email-masked]<mailto:[email-masked]>>, Giles Heron <[email-masked]<mailto:[email-masked]>>
Cc: Patrice Brissette <[email-masked]<mailto:[email-masked]>>, "Shah, Himanshu" <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, "Dhanendra Jain (dhjain)" <[email-masked]<mailto:[email-masked]>>
Subject: Re: [bess] BGP common parameter Yang module

I’d prefer common grouping indraft-ietf-rtgwg-routing-types and references from any other model using it

Cheers,
Jeff

From: BESS <[email-masked]<mailto:[email-masked]>> on behalf of "Acee Lindem (acee)" <[email-masked]<mailto:[email-masked]>>
Date: Friday, February 10, 2017 at 08:42
To: Giles Heron <[email-masked]<mailto:[email-masked]>>
Cc: "Patrice Brissette (pbrisset)" <[email-masked]<mailto:[email-masked]>>, "Shah, Himanshu" <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, "Dhanendra Jain (dhjain)" <[email-masked]<mailto:[email-masked]>>
Subject: Re: [bess] BGP common parameter Yang module

Hi Giles,
I will add the route-target-type type (enum of import, export, both) but for a general grouping, it appears there are some discrepancies between the 3 models. Assuming the types: route-discriminator, route-target, and route-target-type, can you provide a consensus grouping that all the models would use?
Thanks,
Acee

From: Giles Heron <[email-masked]<mailto:[email-masked]>>
Date: Friday, February 10, 2017 at 11:18 AM
To: Acee Lindem <[email-masked]<mailto:[email-masked]>>
Cc: "Patrice Brissette (pbrisset)" <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, Himanshu Shah <[email-masked]<mailto:[email-masked]>>, "Dhanendra Jain (dhjain)" <[email-masked]<mailto:[email-masked]>>
Subject: Re: [bess] BGP common parameter Yang module

Hi Acee,

In general seems that for any BGP VPN (L2 or L3) you have an RD plus a list of RTs (which can be import, export or both) - so I’d prefer that to be defined in a shared grouping (more or less as per the structure Patrice gave below) than to force each model to redefine it.

Giles

On 10 Feb 2017, at 14:51, Acee Lindem (acee) <[email-masked]<mailto:[email-masked]>> wrote:

Hi Patrice – we are working fervently on a common IETF routing types model. We have both route-target and router-distinguisher types defined there. The work is being done in the Routing WG. Our intension is to accelerate standardization so it doesn’t hold up standardization of the importing modules. Please comment as to whether you think this meets BESS requirements.

https://www.ietf.org/id/draft-ietf-rtgwg-routing-types-00.txt

Thanks,
Acee
P.S. We plan an update next week but the RD and RT definitions have not changed.

From: BESS <[email-masked]<mailto:[email-masked]>> on behalf of "Patrice Brissette (pbrisset)" <[email-masked]<mailto:[email-masked]>>
Date: Friday, February 10, 2017 at 9:26 AM
To: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Cc: "Dhanendra Jain (dhjain)" <[email-masked]<mailto:[email-masked]>>, Himanshu Shah <[email-masked]<mailto:[email-masked]>>
Subject: [bess] BGP common parameter Yang module

Folks,

As part of EVPN, L2VPn and L3VPN Yang model, there is a “module” common to all 3 Yang models.

      |     +--rw bgp-parameters
      |     |  +--rw common
      |     |     +--rw rd-rt* [route-distinguisher]
      |     |        +--rw route-distinguisher    string
      |     |        +--rw vpn-target* [rt-value]
      |     |           +--rw rt-value    string
      |     |           +--rw rt-type     bgp-rt-type

It will be interesting to create a common BGP parameter Yang module as shown above. I think it just makes sense.
However, there is a minor challenge; that module require a home (a draft).
I’m looking for feedback about the best place/draft for such a module.

Thanks for your help.
Regards,
Patrice Brissette
_______________________________________________
BESS mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/bess

_______________________________________________ BESS mailing list [email-masked]<mailto:[email-masked]> https://www.ietf.org/mailman/listinfo/bess